Package org.opensaml.security.httpclient

# Interface HttpClientSecurityParametersResolver

All Superinterfaces:
  `Resolver<HttpClientSecurityParameters,CriteriaSet>`

All Known Implementing Classes:
  `BasicHttpClientSecurityParametersResolver`

public interface HttpClientSecurityParametersResolver extends Resolver<HttpClientSecurityParameters,CriteriaSet>
An interface for components which resolve `HttpClientSecurityParameters` based on a `CriteriaSet`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`